namespace Demo.Domain.Models
{
    public class Presence
    {
        public required User User{get; set; }
        public bool IsAttedance { get; set; } = true;
        public required DateOnly Date { get; set; }

        public required int LessonNumber { get; set; }
    }

    public class PresencePost
    {
        public required int firstLesson {get; set; }
        public required int lastLesson {get; set; }
        public required int groupID {get; set; }
        public required string date {get; set; }
    }

    public class PresenceDeleteByRange
    {
        public required string start {get; set; }
        public required string end {get; set; }
    }

    public class PresenceUpdate
    {
        public required int firstLesson {get; set;}
        public required int lastLesson {get; set;}
        public required string date {get; set;}
        public required Guid UserGuid {get; set;}
    }

    public class PresenceRequest
    {
        public required string start {get; set;}
        public required string end {get; set;}
        public required int GruopID {get; set;}
        public required Guid userGuid {get; set;}
    }

    public class PresenceGet
    {
        public required string gruop_name {get; set;}
        public required List<UserForPresence> users {get; set;}
    }
}